# $Revision: 1.17 $, $Date: 2009/10/28 15:25:32 $
Summary:	Character set conversion library
Summary(pl.UTF-8):	Biblioteka konwersji zestawów znaków
Name:		libiconv
Version:	1.13.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libiconv/%{name}-%{version}.tar.gz
# Source0-md5:	7ab33ebd26687c744a37264a330bbe9a
Patch0:		%{name}-pl.po-update.patch
URL:		http://www.gnu.org/software/libiconv/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides an iconv() implementation, for use on systems
which don't have one, or whose implementation cannot convert from/to
Unicode.

%description -l pl.UTF-8
Ta biblioteka dostarcza implementację iconv() do używania z systemami,
które takiej funkcji nie posiadają, lub na których implementacja nie
potrafi konwertować z/do Unikodu.

%package devel
Summary:	libiconv header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libiconv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if "%{_includedir}" == "/usr/include"
Conflicts:	glibc-devel
%endif

%description devel
This package contains libiconv header files.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe biblioteki libiconv.

%package static
Summary:	libiconv static library
Summary(pl.UTF-8):	Statyczna biblioteka libiconv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libiconv library.

%description static -l pl.UTF-8
Pakiet ten zawiera statyczną bibliotekę libiconv.

%package utils
Summary:	iconv utility
Summary(pl.UTF-8):	Narzędzie iconv
License:	GPL v3+
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
%if "%{_bindir}" == "/usr/bin"
Conflicts:	glibc-misc
%endif

%description utils
iconv utility.

%description utils -l pl.UTF-8
Narzędzie iconv.

%prep
%setup -q
%patch0 -p1

rm -f po/stamp-po

%build
cp -f /usr/share/automake/config.sub build-aux
cp -f /usr/share/automake/config.sub libcharset/build-aux
%{__aclocal} -I m4 -I srcm4
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DESIGN NEWS NOTES PORTS README* THANKS
%attr(755,root,root) %{_libdir}/libcharset.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcharset.so.1
%attr(755,root,root) %{_libdir}/libiconv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiconv.so.2
%attr(755,root,root) %{_libdir}/preloadable_libiconv.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcharset.so
%attr(755,root,root) %{_libdir}/libiconv.so
%{_libdir}/libcharset.la
%{_libdir}/libiconv.la
%{_includedir}/iconv.h
%{_includedir}/libcharset.h
%{_includedir}/localcharset.h
%{_mandir}/man3/iconv*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcharset.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/iconv
%{_mandir}/man1/iconv.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libiconv.spec,v $
Revision 1.17  2009/10/28 15:25:32  qboosh
- proper URL

Revision 1.16  2009/10/28 06:33:47  qboosh
- updated to 1.13.1

Revision 1.15  2009/04/11 08:42:28  qboosh
- updated to 1.13
- updated pl.po-update patch

Revision 1.14  2008/04/08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.13  2007-11-30 21:14:54  qboosh
- libiconv is on LGPL v2+, but iconv utility is GPL v3+ now

Revision 1.12  2007-11-30 20:26:16  qboosh
- up to 1.12
- updated pl.po-update patch

Revision 1.11  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.9  2006/07/22 07:46:57  qboosh
- updated to 1.11, updated pl.po-update patch

Revision 1.8  2005/08/15 00:00:52  qboosh
- updated to 1.10, added pl.po-update patch

Revision 1.7  2004/09/01 16:11:10  adamg
- kill pld.org.pl leftovers

Revision 1.6  2004/03/14 23:12:48  qboosh
- added iconv.h to -devel (yes, C: glibc-devel - but it doesn't make sense with glibc)
- strict internal deps

Revision 1.5  2004/02/14 21:47:01  undefine
- copy config.sub. mayby it help on amd64.. mayby not... who know?
- release 2

Revision 1.4  2004/01/27 21:01:50  qboosh
- 1.9.2

Revision 1.3  2003/10/08 21:41:20  qboosh
- 1.9.1, added pl description, removed obsolete DESTDIR patch

Revision 1.2  2003/09/10 16:30:49  gotar
- md5

Revision 1.1  2003/09/10 16:26:07  gotar
- just in case
